Get List of Rechargeable Currencies
curl --request GET \
--url https://api.openxswitch.com/v1/mix/currency/recharge \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openxswitch.com/v1/mix/currency/recharge"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openxswitch.com/v1/mix/currency/recharge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"coin": "USDT",
"iconUrl": "https://cdn.openxswitch.com/public/logos/svg/usdt.svg",
"chains": [
{
"chain": "ERC20",
"needTag": "false",
"depositConfirm": "12",
"withdrawConfirm": "64",
"minDepositAmount": "0.001",
"minWithdrawAmount": "10",
"withdrawFee": "0.01",
"txUrl": "https://etherscan.io/tx/"
}
]
}
],
"totalPage": 123,
"pageNo": 123,
"pageLimit": 123
}{
"statusCode": 400,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}{
"statusCode": 404,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "Cannot GET /v1/..."
}{
"statusCode": 422,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": [
"param is required"
]
}{
"statusCode": 500,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}Mix Endpoints
Get List of Rechargeable Currencies
Retrieve a list of currencies that support both deposit and withdrawal operations. You can only deposit funds into and withdraw funds from the currencies listed in this response. Other currencies are supported exclusively for trading (spot and futures) but do not support deposit or withdrawal functionalities.
GET
/
v1
/
mix
/
currency
/
recharge
Get List of Rechargeable Currencies
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The token name
Example:
"USDT,ETH,USDC"
The chain name
Example:
"ETH,TRC20,ERC20,POLYGON"
⌘I
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=062e79ad9c4540929eec204aff020178)
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=f6328956931c9664a2a070c2edb6e9b3)